.mp-news__inner {
  max-width: 1136px;
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 50px;
  align-items: stretch;
}

/* .mp-news {
  padding: var(--module-padding);
} */

.mp-news__card,
.mp-news__body,
.mp-news__title,
.mp-news__excerpt {
  min-width: 0;
}

.mp-news__card {
  background: #fff;
  border-radius: var(--border-radius-eri);
  overflow: hidden;
  display: flex;
  flex-direction: column;
  height: 100%;
}

.mp-news__card.is-featured {
  grid-column: 1 / -1;
  display: grid;
  grid-template-columns: 1fr 1fr;
  min-height: 340px;
  border-radius: var(--border-radius-eri);
}

.mp-news__media {
  display: block;
  width: 100%;
  height: 240px;
  background: #eee;
}

.mp-news__card.is-featured .mp-news__media {
  height: 100%;
}

.mp-news__media img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.mp-news__body {
  padding: 30px 20px 25px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  flex: 1;
  background-color: var(--clr-4);
}

.mp-news__date {
  font-size: var(--paragraph-font-size);
  opacity: 1;
  color: #fff;
}

.mp-news__title {
  margin: 0;
  line-height: 1.15;
}

.mp-news__title a {
  color: inherit;
  text-decoration: none;
}

.mp-news__btn {
  margin-top: auto;
  align-self: flex-start;
}

@media (max-width: 980px) {
  .mp-news__inner {
    grid-template-columns: 1fr;
    /* padding: 0 16px; */
  }

  .mp-news__card.is-featured {
    grid-column: auto;
    grid-template-columns: 1fr;
  }

  .mp-news__media {
    height: 220px;
  }

  /* .mp-news__card.is-featured .mp-news__title {
    font-size: 26px;
  } */

  /* .mp-news {
    padding: var(--module-padding-mobile);
  } */
}

.mp-news__body .mp-news__title a {
  font-size: clamp(25px, 5vw, 40px);
  line-height: 1;
}
/* Väiksemad pealkirjad uudised grid */
.mp-news__card:not(.is-featured) .mp-news__body .mp-news__title a {
  font-size: var(--font-size-h3);
  margin: 0;
  line-height: 1.15;
}

.page-template-page-avaleht .mp-news__inner {
  background-color: #fff !important;
  padding: var(--module-padding);
  border-radius: var(--border-radius-eri);
  margin-bottom: 50px;
  margin-top: 25px;
  /* margin-left: 15px;
  margin-right: 15px; */
}

.hwm-section-title h2 {
  margin: 0;
}
@media (max-width: 980px) {
  .page-template-page-avaleht .mp-news__inner {
    margin-left: 15px;
    margin-right: 15px;
  }
}
